<?php 
session_start();
 if($_SESSION['usuariogrupo_id']!=1){
	 ?>
	 
	 <div class="content-wrapper">
<section class="content-header">
  <h1>
    Modulos
    <small>modulo</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
    <li><a href="#">Mantenimiento</a></li>
    <li><a href="#">General</a></li>
    <li class="active">Modulos</li>
  </ol>
</section>
<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">
	<div class="row">
	    <div class="col-xs-12">
		    <div class="box">
		        <div class="box-header">
		<strong>USTED NO TIENE PERMISOS PARA VER ESTA PAGINA</strong>
		        </div>
		    </div>
		</div>
	</div>
</section>
</div>
	 <?php 
 }
 else{
?>
 <div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
		<h1>
			Mudulos
			<small>modulo</small>
		</h1>
		
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >General</li>
				<li class="breadcrumb-item active">Modulo</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="modulo_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
		<!-- formulario de registro -->
			<div class="modal fade" id="div_modulo_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_modulo_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		<div id="div_modulo_tabla" class="contenido_tabla"></div>
</div>
<script type="text/javascript">
	function modulo_tabla()
	{	
		$.ajax(
		{
			type: "POST",
			url: "../modulo/modulo_tabla.php",
			async:true,
			dataType: "html",                      
			data: {},
			beforeSend: function() {
				$('#div_modulo_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_modulo_tabla').html(html);
			},
			complete: function(){			
				$('#div_modulo_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
function modulo_form(act,idf){
	$('#div_modulo_form_dialog').modal();
	$.ajax({
		type: "POST",
		url: "../modulo/modulo_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			mod_id:	idf,
			vista:	'modulo_tabla'
		}),
		beforeSend: function() { 
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_modulo_form').html(div);		
        },
		success: function(html){
			$('.div_modulo_form').html(html);			
		}
	});
}
	function eliminar_modulo(id)
	{   
		
		if(confirm("¿Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../modulo/modulo_reg.php",
				async: true,
				dataType: "json",
				data: ({
					action: "eliminar",
					mod_id:		id
				}),
				beforeSend: function() {
					
				},
				success: function(data){
					toastr["success"](data.mod_msj);
				},
				complete: function(){
					modulo_tabla();
				}
			});
		}
	}
	$(function() {
		$('#btn_actualizar').click(function(){
			$("#contenido").load("../modulo/modulo_vista.php");
		});
		
		$("#div_modulo_form_dialog").on('hidden.bs.modal', function(){
          	$("#contenido").load("../modulo/modulo_vista.php");
		});
		modulo_tabla();
		setTitle("MODULO - "+nombreEmpresa);
	});
</script>
 <?php } ?>